1MSG

Update WhatsApp Flow JSON

PATCH
/flows/{flowId}/assets

Replace the Flow JSON document (flowJson) for an existing Flow.

Authorization

JWT token
querytoken<token>

Path Parameters

flowId*string

Flow identifier

Request Body

multipart/form-data
  1. body
flowJson*|

Flow JSON definition

file?unknown

flow.json upload

Response Body

Assets updated

application/json
  1. response
success?boolean
validationErrors?array<>
curl -X PATCH 'https://api.1msg.io/123/flows/string/assets' \  -F 'flowJson={"version":"6.0","screens":[]}'
{  "success": true,  "validationErrors": [    {      "error": "string",      "errorType": "string",      "message": "string",      "lineStart": 0,      "lineEnd": 0,      "columnStart": 0,      "columnEnd": 0,      "pointers": [        {          "lineStart": 0,          "lineEnd": 0,          "columnStart": 0,          "columnEnd": 0,          "path": "string"        }      ]    }  ]}